#!/bin/bash
#
# File name: postRestore_Cte_OAM_restart.sh
# File location: /nn/bin/postRestore_Cte_OAM_restart.sh
#

shopt -s -o nounset

# Do a query on LanCTEProvider to trigger registration of notification on
# pdr entry change: openwbem\\restore\\lancteprov\\time
/opt/bin/owexecwql https://localhost /root/cimv2 "select * from BCM_LanCTEService" > /dev/null

# try to create the entry: openwbem\\restore\\lancteprov\\time to trigger re-initialzation of LanCTEProv
/nn/bin/pdrcmd create "openwbem\\restore\\lancteprov\\time" "`date`" STR > /dev/null
if [ $? -eq 1 ] ; then
  # entry already exists, then modify the entry
  /nn/bin/pdrcmd modify "openwbem\\restore\\lancteprov\\time" "`date`" > /dev/null
fi

sleep 2

exit 0
